
ParticleDefinitions[GaugeES] = {
      {SdL0,  {  Description -> "Left Down-Squarks"}},
      {SdR0,  { Description -> "Right Down-Squarks"}},
      {SuL0,  { Description -> "Left Up-Squarks"}}, 
      {SuR0,  { Description -> "Right Up-Squarks" }},                
      {SeL0,  { Description -> "Left Selectron"}}, 
      {SeR0,  { Description -> "Right Selectron"}},                         
      {SvL0,  { Description -> "Left Sneutrino"}},                         
      {SHd0, { Description -> "Neutral Down-Higgs"}},                         
      {SHdm, { Description -> "Charged Down-Higgs"}}, 
      {SHu0, { Description -> "Neutral Up-Higgs"}},                         
      {SHup, { Description -> "Charged Up-Higgs"}},                                                   
      {VB,   { Description -> "B-Boson"}},                                                   
      {VG,   { Description -> "Gluon"}},          
      {VWB,  { Description -> "W-Bosons"}},          
      {gB,   { Description -> "B-Boson Ghost"}},                                                   
      {gG,   { Description -> "Gluon Ghost" }},          
      {gWB,  { Description -> "W-Boson Ghost"}},    
      {Glu,  { Description -> "Gluino"}},
      {Wino, { Description -> "Wino"}},
      {Bino, { Description -> "Bino"}},                                                                                           
      {H0,   { Description -> "Neutral Higgsinos"}},
      {HC,   { Description -> "Charged Higgsinos"}},
      
      {Fd1,  { Description -> "Dirac Left Down-Quark"}},
      {Fd2,  { Description -> "Dirac Right Down-Quark"}},
      {Fu1,  { Description -> "Dirac Left Up-Quark"}},
      {Fu2,  { Description -> "Dirac Right Up-Quark"}},
      {Fe1,  { Description -> "Dirac Left Electron"}},
      {Fe2,  { Description -> "Dirac Right Electron"}},
      {Fv,   { Description -> "Neutrinos" }},
      
      
      {SbL, {LaTeX ->"\\tilde{b}_L"}},
      {SbR, {LaTeX ->"\\tilde{b}_R"}},
      {SstL, {LaTeX ->"\\tilde{s}_L"}},
      {SstR, {LaTeX ->"\\tilde{s}_R"}},
      {SdL, {LaTeX ->"\\tilde{d}_L"}},
      {SdR, {LaTeX ->"\\tilde{d}_R"}},
      {StL, {LaTeX ->"\\tilde{t}_L"}},
      {StR, {LaTeX ->"\\tilde{t}_R"}},
      {ScL, {LaTeX ->"\\tilde{c}_L"}},
      {ScR, {LaTeX ->"\\tilde{c}_R"}},
      {SuL, {LaTeX ->"\\tilde{u}_L"}},
      {SuR, {LaTeX ->"\\tilde{u}_R"}},
      {SeL, {LaTeX ->"\\tilde{e}_L"}},
      {SeR, {LaTeX ->"\\tilde{e}_R"}},
      {SmL, {LaTeX ->"\\tilde{\\mu}_L"}},
      {SmR, {LaTeX ->"\\tilde{\\mu}_R"}},
      {StauL, {LaTeX ->"\\tilde{\\tau}_L"}},
      {StauR, {LaTeX ->"\\tilde{\\tau}_R"}},

      {SsR,  { Description -> "Singlet"}},                     
      {FS,   { Description -> "Singlino" }}
      };
      
      
      
      
  ParticleDefinitions[EWSB] = {

        {Sd ,  {  Description->"Down Squark",
                PDG ->  {1000001,20000015},
                Mass -> LesHouches,
                FeynArtsNr -> 141,   
                LaTeX -> "\\tilde{d}",
                OutputName -> "sd" }},
                
       {Ss ,  {  Description->"Strange Squark",
                PDG ->  {1000003,2000003},
                Mass -> LesHouches,
                FeynArtsNr -> 142,   
                LaTeX -> "\\tilde{s}",
                OutputName -> "ss" }},        
               
       {Sb ,  {  Description->"Bottom Squark",
                PDG ->  {1000005,2000005},
                Mass -> LesHouches,
                FeynArtsNr -> 143,   
                LaTeX -> "\\tilde{b}",
                OutputName -> "sb" }},            
              
           
      {Su ,  {  Description->"Up Squark",
                PDG ->  {1000002,2000002},
                Mass -> LesHouches,
                FeynArtsNr -> 131,   
                LaTeX -> "\\tilde{u}",
                OutputName -> "su" }}, 
                
     {Sc ,  {  Description->"Charmed Squark",
                PDG ->  {1000004,2000004},
                Mass -> LesHouches,
                FeynArtsNr -> 132,   
                LaTeX -> "\\tilde{c}",
                OutputName -> "sc" }},    
      
      {St ,  {  Description->"Top Squark",
                PDG ->  {1000006,2000006},
                Mass -> LesHouches,
                FeynArtsNr -> 133,   
                LaTeX -> "\\tilde{t}",
                OutputName -> "st" }},                        
      
      
     {Se ,  {  Description->"Selectron",
                PDG ->  {1000011,2000011},
                Mass -> LesHouches,
                FeynArtsNr -> 121,   
                LaTeX -> "\\tilde{e}",
                OutputName -> "se" }}, 
                
     {Sm ,  {  Description->"Smuon",
                PDG ->  {1000013,2000013},
                Mass -> LesHouches,
                FeynArtsNr -> 122,   
                LaTeX -> "\\tilde{\\mu}",
                OutputName -> "sm" }}, 
                
      {Stau ,  {Description->"Stau",
                  PDG ->  {1000015,2000015},
                Mass -> LesHouches,
                FeynArtsNr -> 123,   
                LaTeX -> "\\tilde{\\tau}",
                OutputName -> "sl" }},                        
    
     {SveL ,  {  Description->"Electron Sneutrino",
                PDG ->  {1000012},
                Mass ->LesHouches,
                FeynArtsNr -> 111,   
                LaTeX -> "\\tilde{\\nu}_e",
                OutputName -> "sne" }},      
                
     {SvmL ,  { Description->"Muon Sneutrino",
                 PDG ->  {1000014},
                Mass ->LesHouches,
                FeynArtsNr -> 112,   
                LaTeX -> "\\tilde{\\nu}_{\\mu}",
                OutputName -> "snm" }},                                   

     {SvtL ,  {  Description->"Tau Sneutrino",
                PDG ->  {1000016},
                Mass ->LesHouches,
                FeynArtsNr -> 113,   
                LaTeX -> "\\tilde{\\nu}_{\\tau}",
                OutputName -> "snt" }},                                 

                                
     {hh   ,  {  Description -> "Higgs", 
                 PDG -> {25, 35,45} }}, 
     {Ah   ,  {    Description -> "Pseudo-Scalar Higgs",
                 PDG -> {0, 36, 46} }},                       
      {Hpm,  { Description -> "Charged Higgs"}},                                                   
      {VP,   { Description -> "Photon"}}, 
      {VZ,   { Description -> "Z-Boson" }}, 
      {VG,   { Description -> "Gluon" }},          
      {VWm,  { Description -> "W-Boson" }},         
      {gP,   { Description -> "Photon Ghost"}},                                                   
      {gWm,  { Description -> "Negative W-Boson Ghost"}}, 
      {gWmC, { Description -> "Positive W-Boson Ghost" }}, 
      {gZ,   { Description -> "Z-Boson Ghost" }},  
      {gG,   { Description -> "Gluon Ghost" }},           
                     
      {Fd,    { Description->"Down Quark",
                 PDG -> {1},
                 Mass -> 0.0035,
                 FeynArtsNr -> 41,
                 LaTeX -> "d",
                 OutputName -> "d" }},   
                 
     {Fs,    { Description->"Strange Quark",
                 PDG -> {3},
                 Mass -> 0.104,
                 FeynArtsNr -> 42,
                 LaTeX -> "s",
                 OutputName -> "s" }},   
                 
      {Fb,    { Description->"Bottom Quark",
                 PDG -> {5},
                 Mass -> 4.20,
                 FeynArtsNr -> 43,
                 LaTeX -> "b",
                 OutputName -> "b" }},                               
                 
      {Fu,    { Description->"Up Quark",
                 PDG -> {2},
                 Width -> 0, 
                 Mass -> 0.0015,
                 FeynArtsNr -> 31,
                 LaTeX -> "u",
                 OutputName -> "u" }},   
                 
       {Fc,    { Description->"Charmed Quark",
                  PDG -> {4},
                 Width ->  0, 
                 Mass -> 1.27,
                 FeynArtsNr -> 32,
                 LaTeX -> "c",
                 OutputName -> "c" }}, 
                 
      {Ft,    { Description->"Top Quark",
                 PDG -> {6},
                 Width -> 1.59, 
                 Mass -> 171.2,
                 FeynArtsNr -> 33,
                 LaTeX -> "t",
                 OutputName -> "t" }},                            
                 
      {Fe,    { Description->"Electron",
                 PDG -> {11},
                 Mass -> 0.000511,
                 FeynArtsNr -> 21,
                 LaTeX -> "e",
                 OutputName -> "e" }},

 {Fm,    { Description->"Muon",
                 PDG -> {13},
                 Mass -> 0.105,
                 FeynArtsNr -> 22,
                 LaTeX -> "m",
                 OutputName -> "m" }},
                 
 {Ftau,    { Description->"Tau",
                 PDG -> {15},
                 Mass -> 1.776,
                 FeynArtsNr -> 23,
                 LaTeX -> "\\tau",
                 OutputName -> "ta" }},                                  
                 
      {Fve,    { Description->"Electron Neutrino",
                 PDG -> {12},
                 Width -> 0, 
                 Mass -> 0.,
                 FeynArtsNr -> 51,
                 LaTeX -> "\\nu_e",
                 OutputName -> "ve" }},
                 
         {Fvm,    { Description->"Muon Neutrino",
                  PDG -> {14},
                 Width -> 0, 
                 Mass -> 0.,
                 FeynArtsNr -> 52,
                 LaTeX -> "\\nu_{\\mu}",
                 OutputName -> "vm" }},
                 
       {Fvt,    { Description->"Tau Neutrino",
                  PDG -> {16},
                 Width -> 0, 
                 Mass -> 0.,
                 FeynArtsNr -> 53,
                 LaTeX -> "\\nu_{\\tau}",
                 OutputName -> "vt" }}       ,                
                                                  
      {Glu,  { Description -> "Gluino" }},
                 
      {Chi,    {   Description -> "Neutralinos",
                 PDG -> {1000022,1000023,1000025,1000035,1000045} }},
                 
      {Cha,  { Description -> "Charginos"}}                                                                                          
     
        };    
        
        
        
 WeylFermionAndIndermediate = {
       {FHd0, { Description -> "Neutral Down-Higgsino"}},      
       {FHu0, { Description -> "Neutral Up-Higgsino" }}, 
       {FHdm, { Description -> "Charged Down-Higgsino"}},                                                                                                             
       {FHup, { Description -> "Charged Up-Higgsino"}},
       {L0,   { Description -> "Neutralino Weyl-Spinor"}},
       {Lm,   { Description -> "Negative Chargino Weyl-Spinor"}},
       {Lp,   { Description -> "Positive Chargino Weyl-Spinor"}}, 
       {fG,   { Description ->"Gluino Weyl-Spinor"}},
       {fWB,  { Description ->"Wino Weyl-Spinor"}},
       {fW0,  { Description ->"Neutral Wino" }},
       {fWm,  { Description ->"Negative Wino"}},                 
       {fWp,  { Description ->"Positive Wino"}},                 
       {fB,   { Description ->"Bino Weyl-Spinor"}},    
       {phid, { Description -> "Scalar Down"}},                                                                       
       {phiu, { Description -> "Scalar Up"}}, 
       {sigmad,   { Description -> "Pseudo Scalar Down"}},                                                                                        
       {sigmau,   { Description -> "Pseudo Scalar Up" }},
       {SHd,  { Description -> "Down-Higgs"}},
       {SHu,  { Description -> "Up-Higgs"}},
       {Sl,   { Description -> "Left Slepton" }},
       {Sq,   { Description -> "Left Squark" }},
       {FeL,  { Description -> "Left Electron" }},
       {FeR,  { Description -> "Right Electron" }} ,
       {FdL,  { Description -> "Left Down-Quark" }},
       {FdR,  { Description -> "Right Down-Quark" }},              
       {FuL,  { Description -> "Left Up-Quark" }},
       {FuR,  { Description -> "Right Up-Quark" }},
       {FEL,  { Description -> "Rotated Left Electron" }},
       {FER,  { Description -> "Rotated Right Electron" }} ,
       {FDL,  { Description -> "Rotated Left Up-Quark" }},
       {FDR,  { Description -> "Rotated Right Up-Quark" }},              
       {FUL,  { Description -> "Rotated Left Down-Quark"}},
       {FUR,  { Description -> "Rotated Right Down-Quark" }},                
       {FHd,  { Description -> "Down-Higgsino" }},
       {FHu,  { Description -> "Up-Higgsino" }},
       {Fl,   { Description -> "Left Leptons"}},
       {Fq,   { Description -> "Left Quarks"}}, 
       {FsR,   { Description -> "Weyl Spinor of Singlino"}},
       {FvL,  { Description -> "Left Neutrino"}}, 
                 
 {sigmaS,      {Description -> "Scalar Singlet" }}  ,
                 
 {phiS,      { Description -> "Pseudo Scalar Singlet"}},


       {e,    { Description -> "Right Electron Superfield" }},
       {d,    { Description -> "Right Down-Quark Superfield" }},                 
       {q,    { Description -> "Left Quark Superfield" }},                 
       {u,    { Description -> "Right Up-Quark Superfield" }},                 
       {l,    { Description -> "left Lepton Superfield" }},  
       {Hd,   { Description -> "Down-Higgs Superfield"}},                                         
       {Hu,   { Description -> "Up-Higgs Superfield" }},                 
       {s,    { Description -> "Singlet Superfield" }}, 
       {G,    { Description -> "Gluon Superfield" }},                 
       {B,    { Description -> "B Superfield" }},                 
       {WB,   { Description -> "W Superfield" }}                                                                                                                                             
                                                                                                                                                               
   
      
        };       


